Bug 111208 - CSP: Throw a warning when a '*-report-only' header doesn't contain a 'report-uri' directive.
Summary: CSP: Throw a warning when a '*-report-only' header doesn't contain a 'report-...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mike West
URL:
Keywords:
Depends on:
Blocks: 85558
  Show dependency treegraph
 
Reported: 2013-03-01 12:33 PST by Mike West
Modified: 2013-03-03 01:30 PST (History)
4 users (show)

See Also:


Attachments
Patch (7.06 KB, patch)
2013-03-02 01:16 PST, Mike West
no flags Details | Formatted Diff | Diff
Patch (6.76 KB, patch)
2013-03-02 01:17 PST, Mike West
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike West 2013-03-01 12:33:09 PST
Apparently people set report-only headers without a report URI, as evidenced by https://twitter.com/soaj1664ashar/status/307450782704365569. We should help them understand that they've basically created an expensive no-op machine.
Comment 1 Mike West 2013-03-02 01:16:35 PST
Created attachment 191100 [details]
Patch
Comment 2 Mike West 2013-03-02 01:17:41 PST
Created attachment 191101 [details]
Patch
Comment 3 Adam Barth 2013-03-02 23:09:33 PST
Comment on attachment 191101 [details]
Patch

Good idea.
Comment 4 WebKit Review Bot 2013-03-02 23:42:09 PST
Comment on attachment 191101 [details]
Patch

Rejecting attachment 191101 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=webkit-commit-queue.appspot.com', '--bot-id=gce-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 191101, '--port=chromium-xvfb']" exit_code: 2 cwd: /mnt/git/webkit-commit-queue

Last 500 characters of output:

fatal: read error: Connection reset by peer
Died at Tools/Scripts/update-webkit line 151.

Failed to run "['Tools/Scripts/update-webkit', '--chromium', '--force-update']" exit_code: 2

Updating OpenSource
fatal: read error: Connection reset by peer
Died at Tools/Scripts/update-webkit line 151.

Failed to run "['Tools/Scripts/update-webkit', '--chromium', '--force-update']" exit_code: 2
Updating OpenSource
fatal: read error: Connection reset by peer
Died at Tools/Scripts/update-webkit line 151.

Full output: http://webkit-commit-queue.appspot.com/results/16882568
Comment 5 Mike West 2013-03-03 01:12:14 PST
Comment on attachment 191101 [details]
Patch

Let's try the CQ again. It looks healthier.
Comment 6 WebKit Review Bot 2013-03-03 01:30:52 PST
Comment on attachment 191101 [details]
Patch

Clearing flags on attachment: 191101

Committed r144566: <http://trac.webkit.org/changeset/144566>
Comment 7 WebKit Review Bot 2013-03-03 01:30:55 PST
All reviewed patches have been landed.  Closing bug.